Skip to main content
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
positions
/
{instrument}
Get position for portfolio/instrument
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/positions/{instrument} \
  --header 'CB-ACCESS-KEY: <api-key>' \
  --header 'CB-ACCESS-PASSPHRASE: <api-key>' \
  --header 'CB-ACCESS-SIGN: <api-key>' \
  --header 'CB-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/positions/{instrument}"

headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};

fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/positions/{instrument}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "1tvrktwe-1-457",
  "uuid": "9ab3d012-77ef-4c1a-bf2e-11234567cd89",
  "symbol": "BTC-PERP",
  "instrument_id": "14thr7ft-1-0",
  "instrument_uuid": "8ca6c040-48df-426b-bb4e-74413909da26",
  "vwap": 31011.75,
  "net_size": 1.75,
  "buy_order_size": 2.65,
  "sell_order_size": 1.2,
  "initial_margin": 0.05,
  "im_contribution": 0.07,
  "unrealized_pnl": 2953.01,
  "mark_price": 20000.63,
  "index_price": 20001.45,
  "entry_vwap": 34021.45,
  "open_position_notional": 37000,
  "long_open_position_notional": 37000,
  "short_open_position_notional": 0,
  "position_margin_override": 0.1
}
PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
GetPositionForPortfolioInstrumentRequest request = new GetPositionForPortfolioInstrumentRequest.Builder()
    .portfolio("portfolio_id")
    .instrument("BTC-USDC")
    .build();
GetPositionForPortfolioInstrumentResponse response = portfoliosService.getPositionForPortfolioInstrument(request);
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

instrument
string
required

Identifies the instrument by name (e.g., BTC-USDC), UUID (e.g., ce55a827-f04a-45c0-9d9b-8bbdb9b48065), or instrument ID (e.g., 7149252043835013)

Response

Position information

id
string

The unique identifier of the position

Example:

"1tvrktwe-1-457"

uuid
string<uuid>

The UUID of the position

Example:

"9ab3d012-77ef-4c1a-bf2e-11234567cd89"

symbol
string

Name of the instrument the position is in

Example:

"BTC-PERP"

instrument_id
string

The unique identifier of the instrument the position is in

Example:

"14thr7ft-1-0"

instrument_uuid
string<uuid>

The UUID of the instrument the position is in

Example:

"8ca6c040-48df-426b-bb4e-74413909da26"

vwap
string

The price of your position based on the last settlement period. During each settlement period (5 minute interval), the VWAP is set to equal the mark_price.

Example:

31011.75

net_size
string

The size of the position with positive values reflecting a long position and negative values reflecting a short position

Example:

1.75

buy_order_size
string

Cumulative size of all the open buy orders

Example:

2.65

sell_order_size
string

Cumulative size of all the open sell orders

Example:

1.2

initial_margin
string

The risk initial margin ratio for this position

Example:

0.05

im_contribution
string

The amount this position contributes to the initial margin (allocated initial margin ratio)

Example:

0.07

unrealized_pnl
string

The profit or loss of this position (resets to 0 after settlement)

Example:

2953.01

mark_price
string

The current mark price value for the instrument of this position used in risk and margin calculations

Example:

20000.63

index_price
string

The index price used for the funding process

Example:

20001.45

entry_vwap
string

Volume weighted entry price of the position (not reset to the last funding price)

Example:

34021.45

open_position_notional
string

The notional value of the open position

Example:

37000

long_open_position_notional
string

The notional value of the open long position

Example:

37000

short_open_position_notional
string

The notional value of the open short position

Example:

0

position_margin_override
string

The margin override value for this position, if set

Example:

0.1